<!-- Based on compositing/repaint/invalidations-on-composited-layers.html -->
<!DOCTYPE html>

<!--
This test checks that repaint testing works with composited layers.
-->

<html>
<head>
  <style type="text/css">
    #parent {
        transform: translateZ(0px);
        width: 400px;
        height: 400px;
        background: blue;
    }

    #child {
        transform: translateZ(0px);
        position: relative;
        left: 50px;
        top: 50px;
        width: 75px;
        height: 75px;
        background: green;
    }

  </style>
  <script src="resources/paint-invalidation-test.js"></script>
  <script>
      window.expectedPaintInvalidationObjects = [
          "LayoutBlockFlow DIV id='parent'",
          "LayoutBlockFlow (relative positioned) DIV id='child'",
      ];
      function paintInvalidationTest() {
          var parent = document.getElementById('parent');
          var child = document.getElementById('child');

          child.style.background = 'blue';
          parent.style.background = 'green';
      }

      runPaintInvalidationTest();
  </script>
</head>
<body>
  <div id="parent">
    <div id="child"></div>
  </div>
</body>
</html>
